Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187417 - Problems with proxy requiring authentication
Problems with proxy requiring authentication
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Ondrej Vrabec
issues@versioncontrol
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 09:34 UTC by Ondrej Vrabec
Modified: 2010-06-21 12:38 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2010-06-10 09:34:32 UTC
Product Version = NetBeans IDE Dev (Build 100524-42187c94ca28)
Operating System = Linux version 2.6.31.12-0.2-default running on amd64
Java; VM; Vendor = 1.6.0_20
Runtime = Java HotSpot(TM) 64-Bit Server VM 16.3-b01

Cannot connect to a repository through a proxy that requires user authentication. o.n.core.ProxySettings now stores passwords in keyring and not in preferences any more and versioning modules fail in acquiring the password. We should read the password from keyring instead of the preferences.
This is BTW the original reason for the NPE in bug #187186.
Comment 1 Ondrej Vrabec 2010-06-10 13:06:58 UTC
fix in cvs: http://hg.netbeans.org/cdev/rev/f9e934504f4e
Comment 2 Ondrej Vrabec 2010-06-10 13:09:31 UTC
fixed for all versioning and bugtracking systems: http://hg.netbeans.org/cdev/rev/f9e934504f4e
Comment 3 Quality Engineering 2010-06-11 06:54:51 UTC
Integrated into 'main-golden', will be available in build *201006110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f9e934504f4e
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #187417 - Problems with proxy requiring authentication
Comment 4 rbalada 2010-06-16 08:56:50 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 5 Petr Blaha 2010-06-17 11:51:51 UTC
verified
Comment 6 rbalada 2010-06-21 12:38:08 UTC
Transplanted to release691 #b559b4b0a2e1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo